Index: pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 771)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/controllers/user.php	(revision 773)
@@ -451,4 +451,5 @@
 		if ($user_info || $admin_info) 
 		{
+			$data['us_id'] = $us_id;
 			$data['username'] = $username;
 			$data['perpage'] = 10;
Index: pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php	(revision 771)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/models/user_model.php	(revision 773)
@@ -567,5 +567,6 @@
                 $us_id = $data['us_id'];
 		$this->db->query ( 'UNLOCK TABLES' );
-                $sql="SELECT tblregisterpackagelog.source,tblservicepackage.p_name,tblregisterpackagelog.created_time FROM tblregisterpackagelog INNER JOIN tblservicepackage ON tblservicepackage.p_code = tblregisterpackagelog.p_code where username = ? UNION SELECT tblpaidlog.source,tblpaidlog.amount,tblpaidlog.paid_time FROM tblpaidlog where us_id = ? ORDER BY created_time DESC LIMIT ".$data['start'].", ".$data['perpage']."";
+                //$sql="SELECT tblregisterpackagelog.source,tblservicepackage.p_name,tblregisterpackagelog.created_time FROM tblregisterpackagelog INNER JOIN tblservicepackage ON tblservicepackage.p_code = tblregisterpackagelog.p_code where username = ? UNION SELECT tblpaidlog.source,tblpaidlog.amount,tblpaidlog.paid_time FROM tblpaidlog where us_id = ? ORDER BY created_time DESC LIMIT ".$data['start'].", ".$data['perpage']."";
+				$sql="SELECT tblregisterpackagelog.source,0 as amount,tblservicepackage.p_name,tblregisterpackagelog.created_time FROM tblregisterpackagelog INNER JOIN tblservicepackage ON tblservicepackage.p_code = tblregisterpackagelog.p_code where username = ? UNION SELECT tblpaidlog.source,tblpaidlog.amount,'Nạp tiền' as name,tblpaidlog.paid_time FROM tblpaidlog where us_id = ? ORDER BY created_time DESC LIMIT ".$data['start'].", ".$data['perpage']."";
                 $query = $this->db->query ( $sql, array (
 				"$username",
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_infor.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_infor.php	(revision 771)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/user_infor.php	(revision 773)
@@ -36,6 +36,6 @@
             <div class="col-sm-8">
                 <select name="province" id="form-field-province" class="col-xs-12 col-sm-10">
-                    <?php foreach ($provinces as $pro): ?>
-                        <option value="<?php echo $pro; ?>" <?php if ($user['province'] == $pro) echo "selected"; ?>><?php echo $pro; ?></option>
+                    <?php foreach ($provinces as $key => $pro): ?>
+                        <option value="<?php echo $key; ?>" <?php if ($user['province'] == $key) echo "selected"; ?>><?php echo $pro; ?></option>
                     <?php endforeach; ?>
                 </select>
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 771)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 773)
@@ -489,5 +489,8 @@
 									Tá»«
                                 </th>
-                                <th class="center"> GÃ³i dá»ch vá»¥ </th>
+								<th class="center">
+									Sá» tiá»n (VNÄ)
+                                </th>
+                                <th class="center"> Dá»ch vá»¥ </th>
                                 <th>
                                     <i class="icon-time bigger-110 hidden-480"></i>