Index: pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php
===================================================================
--- pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php	(revision 780)
+++ pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php	(revision 782)
@@ -31,26 +31,21 @@
 {
 
-	private $user_info = null;
-
 	public function __construct() {
 		parent::__construct();
+                $user = $this->session->userdata ( 'userInfo' );
 		$this->vservices->setApiUrl($this->config->item('api_url'));
 		$this->vservices->setConnection($this->curl);
-		$user_info = $this->session->userdata('userInfo');
-		parse_str($user_info['user'],$user);
-		$aryTemp = array_merge($user_info,$user);
-		$this->user_info = array('username' => $aryTemp['username'], 'us_id' => $aryTemp['us_id'], 'fullname' => $aryTemp['fullname']);
-		$this->vservices->setUserId($this->user_info['us_id']);
+		$this->vservices->setUserId($user['us_id']);
 	}
 	
 	public function getContent () {
+		$xmlData = $this->vservices->getPrivateTree(); 
 		
-		$xmlData = $this->vservices->getPrivateTree(); 
-        $this->xml->parse($xmlData);                
+                $this->xml->parse($xmlData);
+                
 		$aryDirs = array();
 		$aryFiles = array();
+		write_file('log.txt', var_export($xmlData, true));
 		
-		error_log(var_export($xmlData, TRUE). "\n", 3, '/srv/www/vspacedemo/20150304/log/123.log');
-
 		if (!isset($this->xml->tree)) {
 			$aryError = array('err' => 'KhÃŽng thá» káº¿t ná»i Äáº¿n mÃ¡y chá»§!', 'errCode' => '-1');
@@ -81,9 +76,9 @@
 			}else {
 				$file = $this->xml->tree->filelist->file;
-				$aryFiles[] = array('fileurl' => $file->_param['fileurl'],'id' => $file->_param['id'], 'name' => $file->_value,'parentID' => $file->_param['parentid'] == -1 ? 0:$file->_param['parentid'], 'minetype' => $file->_param['filetype']);
+				$aryFiles[] = array('fileurl' => $value->_param['fileurl'],'id' => $file->_param['id'], 'name' => $file->_value,'parentID' => $file->_param['parentid'] == -1 ? 0:$file->_param['parentid'], 'minetype' => $file->_param['filetype']);
 			}
 		}
-		
-		$aryData = array('DIRECTORIES' =>  $aryDirs , 'FILES' => $aryFiles, 'ERROR' => $aryError, 'userinfo' => $this->user_info);
+		$user = $this->session->userdata ( 'userInfo' );
+		$aryData = array('DIRECTORIES' =>  $aryDirs , 'FILES' => $aryFiles, 'ERROR' => $aryError, 'userinfo'=>$user);
 		echo json_encode($aryData);
 	}
@@ -98,4 +93,7 @@
 		$aryError = array('err' => $this->xml->status->_param['err'], 'errCode' => (int)$this->xml->status->_param['errCode']);
 		$aryData = array('id' => $this->xml->status->_param['id'], 'name' => $name, 'parentID' => $parentDir, 'ERROR' => $aryError);
+		
+		/* $aryError = array('err' => '', 'errCode' => 0);
+		$aryData =  array('id' => rand(100, 1000), 'name' => $name, 'parentID' => $parentDir, 'ERROR' => $aryError); */
 		echo json_encode($aryData);
 	}
@@ -104,8 +102,7 @@
 		$delobj =  $this->input->post('delobj',TRUE);
 		$xmlData = $this->vservices->actionExecute('deletemulti',array('delobj' => $delobj));
-
 		$this->xml->parse($xmlData);
 		$aryFolders = array();
-		error_log(date('YmdHis').': delete:'. var_export(isset($this->xml->tree), TRUE) . "\n", 3, '/srv/www/vspacedemo/20150304/log/apidel.log');
+
 		if (isset($this->xml->tree->folder)) {
 			if (is_array($this->xml->tree->folder)) {
Index: pro-violet-viettel/www/deploy/20150304/application/modules/filemanager/controllers/filemanager.php
===================================================================
--- pro-violet-viettel/www/deploy/20150304/application/modules/filemanager/controllers/filemanager.php	(revision 780)
+++ pro-violet-viettel/www/deploy/20150304/application/modules/filemanager/controllers/filemanager.php	(revision 782)
@@ -18,10 +18,8 @@
     public function index() {
         $user_info = $this->session->userdata('userInfo');
-		
-		$aryParams = array();
-        parse_str($user_info['user'], $aryParams);
 
         if ($user_info) {
             parse_str($user_info['user'],$user);
+   
             $data['user']=array_merge($user_info,$user);
             $this->load->view('main', $data);