Index: pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php
===================================================================
--- pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php	(revision 824)
+++ pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php	(revision 825)
@@ -72,9 +72,9 @@
 			if (is_array($this->xml->tree->filelist->file)) {
 				foreach($this->xml->tree->filelist->file as $key=>$value){
-					$aryFiles[] = array('thumbnail' => $value->_param['thumbnail'],'fileurl' => $value->_param['fileurl'], 'id' => $value->_param['id'], 'name' => $value->_value, 'parentID' => $value->_param['parentid'] == -1 ? 0:$value->_param['parentid'], 'minetype' => $value->_param['filetype']);
+					$aryFiles[] = array('thumbnail' => $value->_param['thumbnail'],'fileurl' => $value->_param['fileurl'], 'id' => $value->_param['id'], 'name' => $value->_value, 'parentID' => $value->_param['parentid'] == -1 ? 0:$value->_param['parentid'], 'minetype' => $value->_param['filetype'], 'size' => $value->_param['size']);
 				}
 			}else {
 				$file = $this->xml->tree->filelist->file;
-				$aryFiles[] = array('thumbnail' => $value->_param['thumbnail'],'fileurl' => $value->_param['fileurl'],'id' => $file->_param['id'], 'name' => $file->_value,'parentID' => $file->_param['parentid'] == -1 ? 0:$file->_param['parentid'], 'minetype' => $file->_param['filetype']);
+				$aryFiles[] = array('thumbnail' => $value->_param['thumbnail'],'fileurl' => $value->_param['fileurl'],'id' => $file->_param['id'], 'name' => $file->_value,'parentID' => $file->_param['parentid'] == -1 ? 0:$file->_param['parentid'], 'minetype' => $file->_param['filetype'], 'size' => $file->_param['size']);
 			}
 		}
Index: pro-violet-viettel/www/deploy/20150304/assets/js/grid.js
===================================================================
--- pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 824)
+++ pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 825)
@@ -46,4 +46,5 @@
 				
 				var a = $('<a></a>',{id: node.item.id,href: '#',rel: node.item.name,text: node.item.name});
+				//var nameplace = $('<div></div>',{id: node.item.id,rel: node.item.name,text: node.item.name});
 				var divLink = $('<div></div>',{'class':'file-name'}).append(a,inputID,inputName,inputParent,inputType,inputFileUrl);				
 				var li = $('<li></li>',{'class':'vscell',id:typeid+node.item.id}).append(div, divLink);
@@ -66,5 +67,5 @@
 			}
 			
-			var nodeClick = function (node, event) {
+			var nodeClick = function (node, event) {				
 				if (event.ctrlKey) {
 					if (!isHightLight(node))
@@ -82,5 +83,5 @@
 				else {
 					clearAllHightLightNode(node);
-					hightlightNode(node);
+					hightlightNode(node);					
 				}
 			}
@@ -95,5 +96,5 @@
 							minetype: $(node).find('> DIV[class^="file-name"] > INPUT[type="hidden"][class^="type"]').val()};
 				
-				o.manager.gridNodeDblClick(nodeObj);				
+				o.manager.gridNodeDblClick(nodeObj);
 			}
 			
@@ -170,5 +171,4 @@
 			 ******************/
 			var renameInit = function (node) {				
-				console.log(node);
 				var editor = $('<input />',{'class':'rename', type: 'text', value:$(node).text()});
 				$(editor).bind('focusout', function(e){renameCancel(node)});
@@ -184,5 +184,5 @@
 				$(node).append(editor);
 				$(editor).focus();
-				$(editor).select();
+				//$(editor).select();
 			}
 			
Index: pro-violet-viettel/www/deploy/20150304/assets/js/manager.js
===================================================================
--- pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 824)
+++ pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 825)
@@ -65,4 +65,5 @@
 
                 var toolbarButtons = [btnNewFolder, btnDel, btnCopy, btnCut, btnPaste, btnShare, btnPreview, btnDownload, btnUpload, btnRefresh];
+                var statusbar = $('DIV#' + o.statusbar);
                 
                 var sendCommand = function (p) {
@@ -137,5 +138,5 @@
                     if (o.invisibledButtons != null) {
                     	for (var i = 0; i < o.invisibledButtons.length; i++) {
-                    		$('#' + o.toolsbar + ' > DIV.btn-group.basic > #' + o.invisibledButtons[i]).hide();
+                    		$('#' + o.invisibledButtons[i]).hide();
                     	}
                     }
@@ -965,4 +966,8 @@
                     return searchItemByID(parentID, type);
                 }
+                
+                this.refreshStatusBar = function (message) {
+                	$(statusbar).text(message);
+                }
 
                 this.initialize = function () {