Index: /pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php	(revision 836)
+++ /pro-violet-viettel/www/deploy/20150304/application/modules/ajax/controllers/privatecontent.php	(revision 837)
@@ -72,9 +72,9 @@
 			if (is_array($this->xml->tree->filelist->file)) {
 				foreach($this->xml->tree->filelist->file as $key=>$value){
-					$aryFiles[] = array('thumbnail' => $value->_param['thumbnail'],'fileurl' => $value->_param['fileurl'], 'id' => $value->_param['id'], 'name' => $value->_value, 'parentID' => $value->_param['parentid'] == -1 ? 0:$value->_param['parentid'], 'minetype' => $value->_param['filetype'], 'size' => $value->_param['size']);
+					$aryFiles[] = array('id' => $value->_param['id'], 'name' => $value->_value, 'parentID' => $value->_param['parentid'] == -1 ? 0:$value->_param['parentid'], 'minetype' => $value->_param['filetype'], 'size' => $value->_param['size'],'thumbnail' => $value->_param['thumbnail'],'fileurl' => $value->_param['fileurl']);
 				}
 			}else {
 				$file = $this->xml->tree->filelist->file;
-				$aryFiles[] = array('thumbnail' => $value->_param['thumbnail'],'fileurl' => $value->_param['fileurl'],'id' => $file->_param['id'], 'name' => $file->_value,'parentID' => $file->_param['parentid'] == -1 ? 0:$file->_param['parentid'], 'minetype' => $file->_param['filetype'], 'size' => $file->_param['size']);
+				$aryFiles[] = array('id' => $file->_param['id'], 'name' => $file->_value,'parentID' => $file->_param['parentid'] == -1 ? 0:$file->_param['parentid'], 'minetype' => $file->_param['filetype'], 'size' => $file->_param['size'], 'thumbnail' => $value->_param['thumbnail'],'fileurl' => $value->_param['fileurl']);
 			}
 		}
Index: /pro-violet-viettel/www/deploy/20150304/assets/js/grid.js
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 836)
+++ /pro-violet-viettel/www/deploy/20150304/assets/js/grid.js	(revision 837)
@@ -66,5 +66,6 @@
 			}
 			
-			var nodeClick = function (node, event) {				
+			var nodeClick = function (node, event) {
+				var message = '';
 				if (event.ctrlKey) {
 					if (!isHightLight(node))
@@ -84,4 +85,6 @@
 					hightlightNode(node);					
 				}
+				
+				o.manager.refreshStatusBar();
 			}
 			
@@ -258,12 +261,8 @@
 				
 				if ($(nodeSelected).length > 0) {
-					$(nodeSelected).each (function(i,o) {
-							var item = {
-								id: $(this).find('> DIV.file-name > INPUT[type="hidden"][class^="id"]').val(),
-                                fileurl: $(this).find('> DIV.file-name > INPUT[type="hidden"][class^="fileurl"]').val(),
-								name: $(this).find('> DIV.file-name > INPUT[type="hidden"][class^="name"]').val(),
-								parentID: $(this).find('> DIV.file-name > INPUT[type="hidden"][class^="parentID"]').val(),
-								type: $(this).find('> DIV.file-name > INPUT[type="hidden"][class^="type"]').val()
-							};
+					$(nodeSelected).each (function(i,obj) {
+							var id = $(this).find('> DIV.file-name > INPUT[type="hidden"][class^="id"]').val();
+							var type = $(this).find('> DIV.file-name > INPUT[type="hidden"][class^="type"]').val();
+							var item = type == 'directory' ? o.data.DIRECTORIES[o.manager.searchItemByID(id, type)] : o.data.FILES[o.manager.searchItemByID(id, type)];
 							items.push(item);
 						});
Index: /pro-violet-viettel/www/deploy/20150304/assets/js/manager.js
===================================================================
--- /pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 836)
+++ /pro-violet-viettel/www/deploy/20150304/assets/js/manager.js	(revision 837)
@@ -966,9 +966,15 @@
                 }
 
-                this.searchItemByID = function (parentID, type) {
-                    return searchItemByID(parentID, type);
+                this.searchItemByID = function (id, type) {
+                    return searchItemByID(id, type);
                 }
                 
-                this.refreshStatusBar = function (message) {
+                this.refreshStatusBar = function () {
+                	var items = o.oGrid.getHightLightItem();
+                	var message = '';
+                	if (items.length == 1) {
+                		message = 'FILE: ' + items[0].name;
+                		message += ' - SIZE: ' + self.formatFileSize(items[0].size, null);
+                	}
                 	$(statusbar).text(message);
                 }
@@ -982,4 +988,22 @@
                 }
                 
+    			this.formatFileSize = function (size, opts) {
+    		        var i;
+    		        i = Math.floor(Math.log(size) / Math.log(1024));
+    		        if ((size === 0) || (parseInt(size) === 0)) {
+    		          return "0 kB";
+    		        } else if (isNaN(i) || (!isFinite(size)) || (size === Number.POSITIVE_INFINITY) || (size === Number.NEGATIVE_INFINITY) || (size == null) || (size < 0)) {
+    		          console.info("Throwing error");
+    		          throw Error("" + size + " did not compute to a valid number to be humanized.");
+    		        } else {
+    		          //if ((opts != null ? opts.abbr : void 0) === true) {
+    		            return (size / Math.pow(1024, i)).toFixed(2) * 1 + " " + ["B", "kB", "MB", "GB", "TB", "PB"][i];
+    		          /*} else {
+    		            return (size / Math.pow(1024, i)).toFixed(2) * 1 + " " + ["bytes", "kilobytes", "megabytes", "gigabytes", "terabytes", "petabytes"][i];
+    		          }*/
+    		        }
+    			}
+
+                
                 this.initialize = function () {
                     init();